Text.Blaze

# Important types.

type Markup

data Tag

data Attribute

data AttributeValue

# Creating attributes.

dataAttribute

customAttribute

# Converting values to Markup.

class ToMarkup a

text

preEscapedText

lazyText

preEscapedLazyText

string

preEscapedString

unsafeByteString

unsafeLazyByteString

# Comments

textComment

lazyTextComment

stringComment

unsafeByteStringComment

unsafeLazyByteStringComment

# Creating tags.

textTag

stringTag

# Converting values to attribute values.

class ToValue a

textValue

preEscapedTextValue

lazyTextValue

preEscapedLazyTextValue

stringValue

preEscapedStringValue

unsafeByteStringValue

unsafeLazyByteStringValue

# Setting attributes

(!)

(!?)

# Modifiying Markup trees

contents